package com.lukouguoji.aerologic.page.accident.visa.list

import android.content.Context
import android.content.Intent
import android.os.Bundle
import com.lukouguoji.aerologic.R
import com.lukouguoji.aerologic.databinding.ActivityAccidentVisaListBinding
import com.lukouguoji.module_base.base.BaseBindingActivity
import com.lukouguoji.module_base.ktx.addOnItemClickListener
import com.lukouguoji.module_base.ktx.getLifecycleOwner

class AccidentVisaListActivity :
    BaseBindingActivity<ActivityAccidentVisaListBinding, AccidentVisaListViewModel>() {

    override fun layoutId(): Int {
        return R.layout.activity_accident_visa_list
    }

    override fun viewModelClass(): Class<AccidentVisaListViewModel> {
        return AccidentVisaListViewModel::class.java
    }

    override fun initOnCreate(savedInstanceState: Bundle?) {
        setBackArrow("国内事故签证")
        binding.viewModel = viewModel

        viewModel.pageModel.bindSmartRefreshLayout(
            binding.srl,
            binding.rv,
            viewModel,
            getLifecycleOwner()
        )

        binding.rv.addOnItemClickListener(viewModel)

    }

    override fun onResume() {
        super.onResume()
        viewModel.refresh()
    }

    companion object {
        @JvmStatic
        fun start(context: Context) {
            val starter = Intent(context, AccidentVisaListActivity::class.java)
            context.startActivity(starter)
        }
    }

}